//*****************************************************
//  Copyright (c) 2008, NTT DATA Corporation.
//  
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//
//  <Summary>
//     本モジュールは、ページのロード時に呼び出され
//     任意のSubmitボタンが押されている間、
//     全ての'submit'ボタンを無効化する機能を提供する為のスクリプトです。
//  </Summary>
//*****************************************************

//*****************************************************
//  <Summary>
//     グローバル変数
//  </Summary>
//*****************************************************
// カレントコントロールを保持
var strEventElement;

//*****************************************************
//  <Summary>	
//     カレントコントロールが'submit'ボタンの場合変数へ保持します。
//  </Summary>
//*****************************************************
function clickHandler(){
    if (window.event.srcElement.type == 'submit'){
        strEventElement = window.event.srcElement.name;
    }
    else
    {
        strEventElement = '';
    }
}

//*****************************************************
//  <Summary>	
//     検証エラーがない場合、'submit'ボタンを全て使用不可に変更します。
//  </Summary>
//*****************************************************
function btnDisabler(){
    if (typeof(Page_ValidationActive) != 'undefined' && Page_ValidationActive) {
        if (typeof(Page_BlockSubmit) != 'undefined' && Page_BlockSubmit) {
            return; 
        }
    }

    if (strEventElement.length > 0){
        var objElment = document.forms(0).item('__EVENTTARGET');
        objElment.value = strEventElement;
    }
    
    for(i=0;i<document.forms(0).elements.length;i++){
        if (document.forms(0).elements(i).type == 'submit'){
            document.forms(0).elements(i).disabled = true;
        }
    }
}
